# OldWaypoint Struct Reference

Helper structure to convert from the old waypoint system. More...

## Data Fields
size_t | index
TileIndex | xy
TownID | town_index
Town * | town
uint16 | town_cn
StringID | string_id
char * | name
uint8 | delete_ctr
Date | build_date
uint8 | localidx
uint32 | grfid
const StationSpec * | spec
OwnerByte | owner
size_t | new_index

## Detailed Description

Helper structure to convert from the old waypoint system.

Definition at line 24 of file waypoint_sl.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/waypoint_sl.cpp